Name:		perl-Time-Interval
Version:	1.232
Release:	1%{?dist}
Summary:	Perl module that converts time intervals of days, hours, minutes, and seconds

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Time-Interval
Source0:	http://search.cpan.org/CPAN/authors/id/A/AH/AHICOX/Time-Interval-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Date::Parse)
BuildRequires:	perl(Test)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(vars)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Date::Parse)


%description
This is a rather simple perl module for dealing with time intervals. Among
other things, this module can tell you the number of hours, minutes, and
seconds elapsed between two dates.


%prep
%setup -q -n Time-Interval-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jan 31 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.232-1
- Initial package for Fedora
